#ifndef _OPTION_H
#define _OPTION_H

/*  gtail
 *  Copyright (C) 1999 Didier Remy
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

/*
 * $Log$
 *
 */

enum { TSNO, TSASK, TSAUTO };
enum { YNYES, YNNO };
enum { SFHOME, SFCWD };
enum { LFFULL, LFSELECT, LFLAST };
enum { RSCLEAR, RSADD, RSNOTHING };

struct options_t {
  int load_session : 2; /* no/ask/auto */
  int save_session : 2; /* no/ask/auto */
  int remember_window_placement : 1; /* yes/no */
  int session_file : 1; /* $HOME / one in each cwd */
  int label_format : 2; /* full / selected_is_full / last word */
  /* add <2>, <3> for 2 same label */
  int emacs_like_same_buffer : 1; /* yes/no */
  char character_for_pipe; /* def='|' */
  /* the repeat time is from begin(yes) or end(no) of previous execution  */
  int repeat_delay_from_begin : 1; /* yes/no */
  /* policy to display next execution */
  int repeat_show : 2; /* clear / add blank lines / nothing */
  /* number of blank lines to skip */
  char repeat_add; /* 0..255 */
                        /* 0 is for : 2=manual relaunch and 3=close page */
  int mouse_assign : 1; /* 1        : inverse 2 and 3 */
};

/* 2 structures, the default options and the user's one */
enum {DEFAULT_OPT, USER_OPT};
extern struct options_t options[2];
/* use default or user options ?
 * default is used when no config file is found or when restoring the user
 * config to the default state.
 */
extern char which_opt;

/* load options from the system file then from the user home dir.
 * not implemented */
void load_options();

#endif
